%define module	CDDB

Summary:	CDDB module for perl 
Name:		perl-%module
Version:	1.11
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%module-%version.tar.bz2
Url:		http://www.cpan.org
Requires:	perl >= 5.004
Requires:	perl-MailTools >= 1.40
Requires:	perl-MIME-Base64 >= 2.12
BuildRequires:	perl-devel
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildArch:	noarch

%description
CDDB is a high-level interface to databases based on the Compact Disc
Database protocol.

Starting in version 1.04, CDDB.pm will contact freedb.org servers by
default.  This change is in response to Gracenote's CDDB denying
CDDB.pm connections and failing to answer my e-mail.

cddb.com's developer license is for end-user applications; not
third-party libraries.  This makes CDDB.pm ineligible for access to
cddb.com servers.  This author will not pursue further cddb.com
access.

Developers using CDDB.pm may continue to attempt connections to
cddb.com servers, but there are no guarantees.

%prep
%setup -q -n %module-%version

%build
CFLAGS="%optflags" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
#make test TEST_VERBOSE=1

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README HISTORY
%perl_vendorlib/CDDB.pm
%_mandir/man3/CDDB.3*

%changelog
* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.11-1mdk
- 1.11.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.08-7mdk
- Use %%makeinstall_std now that it works on klama

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 1.08-6mdk
- Fix man path
- No rm of buildroot in %%install
- macroification
- Fix unpackaged perllocal.pod

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.08-5mdk
- rebuild for new auto{prov,req}

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.08-4mdk
- build release

* Wed Jul 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.08-3mdk
- rebuild for new perl
- big spec clean
- use new macros

* Mon Mar 11 2002 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.08-2mdk
- removed Requires: perl 5.6.1, is enough with perl >= 5.004

* Fri Feb 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.08-1mdk
- 1.08

* Fri Jan 18 2002 Franois Pons <fpons@mandrakesoft.com> 1.07-1mdk
- make a noarch package.
- 1.07.

* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.06-1mdk
- initial cooker contrib
- rewrote the spec file
